curl --request GET \
--url 'https://api.computer.stateset.app/api/v1/outcomes/{outcome_id}' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"type": "resolved_contact",
"status": "pending",
"inquiry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"price_usd": "string",
"completion_criterion": {},
"verification_record": {},
"system_of_record_event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"job_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parent_outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"triggered_human_handoff": false,
"high_value_action": false,
"created_at": "2026-08-31T14:22:05Z",
"completed_at": "2026-08-31T14:22:05Z",
"resolution_window_expires_at": "2026-08-31T14:22:05Z",
"dispute_window_expires_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"extra_metadata": {},
"stripe_meter_event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Get one tenant outcome
Fetch a single Outcome by id (tenant-scoped).
GET
/
api
/
v1
/
outcomes
/
{outcome_id}
curl --request GET \
--url 'https://api.computer.stateset.app/api/v1/outcomes/{outcome_id}' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"type": "resolved_contact",
"status": "pending",
"inquiry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"price_usd": "string",
"completion_criterion": {},
"verification_record": {},
"system_of_record_event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"job_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parent_outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"triggered_human_handoff": false,
"high_value_action": false,
"created_at": "2026-08-31T14:22:05Z",
"completed_at": "2026-08-31T14:22:05Z",
"resolution_window_expires_at": "2026-08-31T14:22:05Z",
"dispute_window_expires_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"extra_metadata": {},
"stripe_meter_event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Fetch a single Outcome by id (tenant-scoped).
Path parameters
string (uuid)
required
Response
OutcomeRead
string (uuid)
required
string (uuid)
required
string
required
string
required
string
required
string
required
object
object
string,null
string (uuid),null
string (uuid),null
boolean
boolean
string (date-time)
required
string (date-time),null
string (date-time),null
string (date-time),null
string (date-time)
required
object
string,null
Status codes
| Code | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
curl --request GET \
--url 'https://api.computer.stateset.app/api/v1/outcomes/{outcome_id}' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"type": "resolved_contact",
"status": "pending",
"inquiry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"price_usd": "string",
"completion_criterion": {},
"verification_record": {},
"system_of_record_event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"job_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parent_outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"triggered_human_handoff": false,
"high_value_action": false,
"created_at": "2026-08-31T14:22:05Z",
"completed_at": "2026-08-31T14:22:05Z",
"resolution_window_expires_at": "2026-08-31T14:22:05Z",
"dispute_window_expires_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"extra_metadata": {},
"stripe_meter_event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026